<?php
/**
 * Layout for the results and stuff
 */
$body = $vars['body'];

$search_defaults = array(
	'gender' 				=> get_input('gender'),
	'seeking_gender' 		=> get_input('seeking_gender'),
	'match_minimum_age'		=> get_input('match_minimum_age'),
	'match_maximum_age'		=> get_input('match_maximum_age'),
	'seeking_relationship'	=> get_input('seeking_relationship'),
	'state_nation' 			=> get_input('state_nation'),
	'sort' 					=> get_input('sort'),
	'zip_code'				=> get_input('zip_code'),
	'match_maximum_distance'=> get_input('match_maximum_distance'),
	'text'                  => get_input('text'),
	'pics_only'             => get_input('pics_only')
);

if (!elgg_is_logged_in()) {
	$sidebar = elgg_view_form("login");
} else {
	$sidebar = elgg_view_form('mfp_search/search', 
			array(
				'action' => 'search',
				'method' => 'get'
			),
			array(
				'defaults' => $search_defaults
			));
}

echo elgg_view_layout('one_sidebar', array(
	'content' => $body,
	'sidebar' => $sidebar
));